# DataTableContext (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableContext

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableContext

-     public class DataTableContext
      extends java.lang.Object

  A context for the data view. It provides all necessary data to be displayed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableContext(Controller controller)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Controller` | `getController()` Returns the controller.
    `org.eclipse.swt.graphics.Font` | `getFont()` Sets the font.
    `int[]` | `getGroups()` Returns information about the equivalence classes.
    `DataHandle` | `getHandle()` Returns the data handle, if any.
    `java.util.List<org.eclipse.swt.graphics.Image>` | `getImages()` Returns the header images.
    `java.util.List<org.eclipse.nebula.widgets.nattable.layer.ILayerListener>` | `getListeners()` Returns all layer listeners.
    `RowSet` | `getRows()` Returns the research subset.
    `int` | `getSelectedIndex()` Returns the selected index.
    `org.eclipse.nebula.widgets.nattable.NatTable` | `getTable()` Returns the underlying table.
    `boolean` | `isColumnExpanded()`
    `boolean` | `isRowExpanded()`
    `void` | `reset()` Resets the context.
    `void` | `setFont(org.eclipse.swt.graphics.Font font)` Gets the font.
    `void` | `setGroups(int[] groups)` Sets the groups.
    `void` | `setHandle(DataHandle handle)` Sets a data handle.
    `void` | `setImages(java.util.List<org.eclipse.swt.graphics.Image> images)` Sets the header images.
    `void` | `setListeners(java.util.List<org.eclipse.nebula.widgets.nattable.layer.ILayerListener> listeners)` Sets the layer listeners.
    `void` | `setRows(RowSet rows)` Sets the research subset.
    `void` | `setSelectedIndex(int index)` Sets the selected column index.
    `void` | `setTable(org.eclipse.nebula.widgets.nattable.NatTable table)` Sets the underlying table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableContext

          public DataTableContext(Controller controller)

      Creates a new instance.
      Parameters:
        `controller` -

  - ### Method Detail

    - #### getController

          public Controller getController()

      Returns the controller.
      Returns:

    - #### getFont

          public org.eclipse.swt.graphics.Font getFont()

      Sets the font.
      Returns:

    - #### getGroups

          public int[] getGroups()

      Returns information about the equivalence classes.
      Returns:

    - #### getHandle

          public DataHandle getHandle()

      Returns the data handle, if any.
      Returns:

    - #### getImages

          public java.util.List<org.eclipse.swt.graphics.Image> getImages()

      Returns the header images.
      Returns:

    - #### getListeners

          public java.util.List<org.eclipse.nebula.widgets.nattable.layer.ILayerListener> getListeners()

      Returns all layer listeners.
      Returns:

    - #### getRows

          public RowSet getRows()

      Returns the research subset.
      Returns:

    - #### getSelectedIndex

          public int getSelectedIndex()

      Returns the selected index.
      Returns:

    - #### getTable

          public org.eclipse.nebula.widgets.nattable.NatTable getTable()

      Returns the underlying table.
      Returns:

    - #### isColumnExpanded

          public boolean isColumnExpanded()

      Returns:

    - #### isRowExpanded

          public boolean isRowExpanded()

      Returns:

    - #### reset

          public void reset()

      Resets the context.

    - #### setFont

          public void setFont(org.eclipse.swt.graphics.Font font)

      Gets the font.
      Parameters:
        `font` -

    - #### setGroups

          public void setGroups(int[] groups)

      Sets the groups.
      Parameters:
        `groups` -

    - #### setHandle

          public void setHandle(DataHandle handle)

      Sets a data handle.
      Parameters:
        `handle` -

    - #### setImages

          public void setImages(java.util.List<org.eclipse.swt.graphics.Image> images)

      Sets the header images.
      Parameters:
        `images` -

    - #### setListeners

          public void setListeners(java.util.List<org.eclipse.nebula.widgets.nattable.layer.ILayerListener> listeners)

      Sets the layer listeners.
      Parameters:
        `listeners` -

    - #### setRows

          public void setRows(RowSet rows)

      Sets the research subset.
      Parameters:
        `rows` -

    - #### setSelectedIndex

          public void setSelectedIndex(int index)

      Sets the selected column index.
      Parameters:
        `index` -

    - #### setTable

          public void setTable(org.eclipse.nebula.widgets.nattable.NatTable table)

      Sets the underlying table.
      Parameters:
        `table` -